"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _leaflet = require("leaflet");

var _projection = require("./projection");

var _constants = require("../constants");

var _TILESIZE$east = _constants.TILESIZE.east,
    width = _TILESIZE$east.width,
    height = _TILESIZE$east.height;
var projection = {
  project: function project(latlng) {
    var _project2 = (0, _projection.project)(latlng),
        x = _project2.x,
        y = _project2.y;

    return new _leaflet.Point(y, x);
  },
  unproject: function unproject(_ref) {
    var x = _ref.x,
        y = _ref.y;
    return (0, _projection.unproject)(new _leaflet.Point(y, x));
  }
};

var _default = (0, _leaflet.extend)({}, _leaflet.CRS, {
  code: 'nm:east',
  projection: projection,
  transformation: (0, _leaflet.transformation)(1, 1 / 2, -(height / width), height / width / 2),
  infinite: true
});

exports.default = _default;