"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _leaflet = require("leaflet");

var _projection = require("./projection");

var _constants = require("../constants");

var _TILESIZE$south = _constants.TILESIZE.south,
    width = _TILESIZE$south.width,
    height = _TILESIZE$south.height;
var projection = {
  project: _projection.project,
  unproject: _projection.unproject
};

var _default = (0, _leaflet.extend)({}, _leaflet.CRS, {
  code: 'nm:south',
  projection: projection,
  transformation: (0, _leaflet.transformation)(-1, 1 / 2, -(height / width), height / width / 2),
  infinite: true
});

exports.default = _default;