"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCRSByHeading = getCRSByHeading;

var _north = _interopRequireDefault(require("../crs/north"));

var _south = _interopRequireDefault(require("../crs/south"));

var _east = _interopRequireDefault(require("../crs/east"));

var _west = _interopRequireDefault(require("../crs/west"));

var _vert = _interopRequireDefault(require("../crs/vert"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
  * Serving cooresponding CRS based on heading
  *
  * This method is helper function done on behalf of users
  **/
function getCRSByHeading(heading) {
  switch (heading) {
    case _constants.HEADING_EAST:
      return _east.default;

    case _constants.HEADING_SOUTH:
      return _south.default;

    case _constants.HEADING_WEST:
      return _west.default;

    case _constants.HEADING_VERT:
      return _vert.default;

    case _constants.HEADING_NORTH:
    default:
      return _north.default;
  }
}