"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLayerByHeading = getLayerByHeading;

var _north = _interopRequireDefault(require("../layers/north"));

var _south = _interopRequireDefault(require("../layers/south"));

var _east = _interopRequireDefault(require("../layers/east"));

var _west = _interopRequireDefault(require("../layers/west"));

var _vert = _interopRequireDefault(require("../layers/vert"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
  * Serving Layer based on heading
  *
  * The purpose of doing this because of hiding users from rewriting
  * leaflet 'getUrlTile' function.
  **/
function getLayerByHeading(heading, url) {
  switch (heading) {
    case _constants.HEADING_EAST:
      return (0, _east.default)(url);

    case _constants.HEADING_SOUTH:
      return (0, _south.default)(url);

    case _constants.HEADING_WEST:
      return (0, _west.default)(url);

    case _constants.HEADING_NORTH:
      return (0, _north.default)(url);

    case _constants.HEADING_VERT:
    default:
      return (0, _vert.default)(url);
  }
}