"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = east;
exports.East = void 0;

var _leaflet = require("leaflet");

var _constants = require("../constants");

var _TILESIZE$east = _constants.TILESIZE.east,
    width = _TILESIZE$east.width,
    height = _TILESIZE$east.height;

var East = _leaflet.TileLayer.extend({
  getTileUrl: function getTileUrl(_ref) {
    var x = _ref.x,
        y = _ref.y,
        z = _ref.z;
    var numTiles = 1 << z; // 2^zoom

    var _ref2 = [numTiles - (y + 1), x];
    x = _ref2[0];
    y = _ref2[1];
    // eslint-disable-next-line prefer-reflect
    return _leaflet.TileLayer.prototype.getTileUrl.call(this, {
      x: x,
      y: y,
      z: z
    });
  }
});

exports.East = East;

function east(url) {
  return new East(url, {
    layer: 'East',
    maxZoom: 24,
    tileSize: new _leaflet.Point(width, height)
  });
}