"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = south;
exports.South = void 0;

var _leaflet = require("leaflet");

var _constants = require("../constants");

var _TILESIZE$south = _constants.TILESIZE.south,
    width = _TILESIZE$south.width,
    height = _TILESIZE$south.height;

var South = _leaflet.TileLayer.extend({
  getTileUrl: function getTileUrl(_ref) {
    var x = _ref.x,
        y = _ref.y,
        z = _ref.z;
    var numTiles = 1 << z; // 2^zoom

    x = numTiles - (x + 1);
    y = numTiles - (y + 1); // eslint-disable-next-line prefer-reflect

    return _leaflet.TileLayer.prototype.getTileUrl.call(this, {
      x: x,
      y: y,
      z: z
    });
  }
});

exports.South = South;

function south(url) {
  return new South(url, {
    layer: 'South',
    maxZoom: 24,
    tileSize: new _leaflet.Point(width, height)
  });
}