"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = west;
exports.West = void 0;

var _leaflet = require("leaflet");

var _constants = require("../constants");

var _TILESIZE$west = _constants.TILESIZE.west,
    width = _TILESIZE$west.width,
    height = _TILESIZE$west.height;

var West = _leaflet.TileLayer.extend({
  getTileUrl: function getTileUrl(_ref) {
    var x = _ref.x,
        y = _ref.y,
        z = _ref.z;
    var numTiles = 1 << z; // 2^zoom

    var _ref2 = [y, numTiles - (x + 1)];
    x = _ref2[0];
    y = _ref2[1];
    // eslint-disable-next-line prefer-reflect
    return _leaflet.TileLayer.prototype.getTileUrl.call(this, {
      x: x,
      y: y,
      z: z
    });
  }
});

exports.West = West;

function west(url) {
  return new West(url, {
    layer: 'West',
    maxZoom: 24,
    tileSize: new _leaflet.Point(width, height)
  });
}